/*-
 * ============LICENSE_START=======================================================
 * ONAP
 * ================================================================================
 * Copyright (C) 2020-2021 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.onap.policy.models.simulators;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertNull;

import java.io.File;
import org.junit.Test;
import org.onap.policy.common.parameters.ValidationResult;
import org.onap.policy.common.utils.coder.CoderException;
import org.onap.policy.common.utils.coder.StandardCoder;

public class ClassRestServerParametersTest {

    @Test
    public void testValidateString() throws CoderException {
        // some fields missing
        ValidationResult result = new ClassRestServerParameters().validate();
        assertFalse(result.isValid());
        assertNotNull(result.getResult());

        // everything populated
        SimulatorParameters simParams = new StandardCoder()
                        .decode(new File("src/test/resources/simParameters.json"), SimulatorParameters.class);
        ClassRestServerParameters params = simParams.getRestServers().get(0);
        assertNull(params.validate().getResult());
    }
}
